package com.sf._05_异常分类;

import java.io.FileInputStream;
import java.io.FileNotFoundException;

public class Test {

    public static void main(String[] args) {
        /**
         * 当我们在调用一个方法的时候
         * 这个方法的内部如果抛出了编译时异常我们就必须要进行处理
         * 如果抛出的运行时异常就可以不做处理
         *
         * 什么异常是编译时期异常什么异常是运行时异常
         */
        method1(null);

        try {

            method2(null);
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
    }

    /**
     * 编译时期异常
     * FileNotFoundException
     */

    public static void method2(Integer num) throws FileNotFoundException {
        FileInputStream fileInputStream = new FileInputStream("");
    }
    /**
     * 运行时期异常
     * FileNotFoundException
     */
    public static void method1(Integer num)  throws RuntimeException{
        if(num == null){
            throw new RuntimeException("运行是异常");
        }
    }
}
